<template>
  <v-text-field
    v-model="value"
    placeholder="Search"
    class="mr-16"
    color="secondary"
    hide-details
    style="max-width: 220px"
  >
    <template
      v-if="$vuetify.breakpoint.mdAndUp"
      v-slot:append-outer
    >
      <v-btn
        class="mt-n2 ml-n2"
        fab
        small
        elevation="2"
        height="44"
        width="44"
        @click="handle"
      >
        <v-icon>mdi-magnify</v-icon>
      </v-btn>
    </template>
  </v-text-field>
</template>

<script>
  export default {
    name: 'DefaultSearch',
    data () {
      return {
        value: '',
      }
    },
    // : ['value'],
    mounted () {
      console.log(this.value)
    },
    methods: {
      handle: function () {
        // console.log(this.value)
        // 通过input标签的原生事件input将值emit出去，以达到值得改变实现双向绑定
        this.$emit('search', this.value)
      },
    },
  }
</script>
